package com.chaozhanggui.dao.system.entity;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;
import java.util.Date;

public class TbPlussMerchantChannelStatus implements Serializable {

    /**
     * 微信认证授权状态 - 未授权
     */
    public static final String AUTHORIZATION_STATUS_UNAUTHORIZED = "0";

    /**
     * 微信认证授权状态 - 已授权
     */
    public static final String AUTHORIZATION_STATUS_AUTHORIZED = "1";

    /**
     * 后台审核驳回
     */
    public static final String AUDIT_STATUS_RESET = "0";
    /**
     * 审核中
     */
    public static final String AUDIT_STATUS_EXAMINING = "1";

    /**
     * 通道人工审核中
     */
    public static final String AUDIT_STATUS_ARTIFICIAL_EXAMINING = "11";

    /**
     * 审核不通过
     */
    public static final String AUDIT_STATUS_REJECT = "2";
    /**
     * 审核通过
     */
    public static final String AUDIT_STATUS_SUCCESS = "3";
    /**
     * 秒审通过
     */
    public static final String AUDIT_STATUS_FIRST_TRIAL_SUCCESS = "4";
    /**
     * 复审不通过
     */
    public static final String AUDIT_STATUS_REVIEW_REJECT = "5";

    public static final String AUDIT_STATUS_DATA_EDIT = "6";

    /**
     * D0未开通状态
     */
    public static final String AUDIT_STATUS_QUICK_CASH = "7";

    /**
     * 待签约状态
     */
    public static final String AUDIT_STATUS_WAITING_SIGN = "8";

    /**
     * 已签约
     */
    public static final String AUDIT_STATUS_SIGNED = "9";

    /**
     * 自定义第三方待审核状态
     */
    public static final String AUDIT_THIRD_STATUS_WAITING = "-100";

    /**
     * 进件中
     */
    public static final String AUDIT_THIRD_STATUS_AUDITING = "-999";
    private Integer id;

    private Integer channel;

    private String merchantcode;

    private String merchantid;

    private String settlementtype;

    private String status;

    private String thirdstatus;

    private String remark;

    private Date createtime;

    private Date updatetime;

    private String applicationid;

    private String callbackstatus;

    private Integer valid;

    private String authorizationstatus;

    private String mercname;

    private String virchannelflag;

    private String virstatusflag;

    private String srcmerchantno;

    private String interfaceversion;

    private String aliauthorizationstatus;

    private String wxcerturl;

    private String alicerturl;

    private Date auditsuccesstime;

    private String extra;


    @TableField(exist = false)
    private String userId;

    @TableField(exist = false)
    private String channelCode;

    @TableField(exist = false)
    private String channelName;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getChannel() {
        return channel;
    }

    public void setChannel(Integer channel) {
        this.channel = channel;
    }

    public String getMerchantcode() {
        return merchantcode;
    }

    public void setMerchantcode(String merchantcode) {
        this.merchantcode = merchantcode == null ? null : merchantcode.trim();
    }

    public String getMerchantid() {
        return merchantid;
    }

    public void setMerchantid(String merchantid) {
        this.merchantid = merchantid == null ? null : merchantid.trim();
    }

    public String getSettlementtype() {
        return settlementtype;
    }

    public void setSettlementtype(String settlementtype) {
        this.settlementtype = settlementtype == null ? null : settlementtype.trim();
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public String getThirdstatus() {
        return thirdstatus;
    }

    public void setThirdstatus(String thirdstatus) {
        this.thirdstatus = thirdstatus == null ? null : thirdstatus.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    public String getApplicationid() {
        return applicationid;
    }

    public void setApplicationid(String applicationid) {
        this.applicationid = applicationid == null ? null : applicationid.trim();
    }

    public String getCallbackstatus() {
        return callbackstatus;
    }

    public void setCallbackstatus(String callbackstatus) {
        this.callbackstatus = callbackstatus == null ? null : callbackstatus.trim();
    }

    public Integer getValid() {
        return valid;
    }

    public void setValid(Integer valid) {
        this.valid = valid;
    }

    public String getAuthorizationstatus() {
        return authorizationstatus;
    }

    public void setAuthorizationstatus(String authorizationstatus) {
        this.authorizationstatus = authorizationstatus == null ? null : authorizationstatus.trim();
    }

    public String getMercname() {
        return mercname;
    }

    public void setMercname(String mercname) {
        this.mercname = mercname == null ? null : mercname.trim();
    }

    public String getVirchannelflag() {
        return virchannelflag;
    }

    public void setVirchannelflag(String virchannelflag) {
        this.virchannelflag = virchannelflag == null ? null : virchannelflag.trim();
    }

    public String getVirstatusflag() {
        return virstatusflag;
    }

    public void setVirstatusflag(String virstatusflag) {
        this.virstatusflag = virstatusflag == null ? null : virstatusflag.trim();
    }

    public String getSrcmerchantno() {
        return srcmerchantno;
    }

    public void setSrcmerchantno(String srcmerchantno) {
        this.srcmerchantno = srcmerchantno == null ? null : srcmerchantno.trim();
    }

    public String getInterfaceversion() {
        return interfaceversion;
    }

    public void setInterfaceversion(String interfaceversion) {
        this.interfaceversion = interfaceversion == null ? null : interfaceversion.trim();
    }

    public String getAliauthorizationstatus() {
        return aliauthorizationstatus;
    }

    public void setAliauthorizationstatus(String aliauthorizationstatus) {
        this.aliauthorizationstatus = aliauthorizationstatus == null ? null : aliauthorizationstatus.trim();
    }

    public String getWxcerturl() {
        return wxcerturl;
    }

    public void setWxcerturl(String wxcerturl) {
        this.wxcerturl = wxcerturl == null ? null : wxcerturl.trim();
    }

    public String getAlicerturl() {
        return alicerturl;
    }

    public void setAlicerturl(String alicerturl) {
        this.alicerturl = alicerturl == null ? null : alicerturl.trim();
    }

    public Date getAuditsuccesstime() {
        return auditsuccesstime;
    }

    public void setAuditsuccesstime(Date auditsuccesstime) {
        this.auditsuccesstime = auditsuccesstime;
    }

    public String getExtra() {
        return extra;
    }

    public void setExtra(String extra) {
        this.extra = extra == null ? null : extra.trim();
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getChannelCode() {
        return channelCode;
    }

    public void setChannelCode(String channelCode) {
        this.channelCode = channelCode;
    }

    public String getChannelName() {
        return channelName;
    }

    public void setChannelName(String channelName) {
        this.channelName = channelName;
    }



    public boolean isPayment() {
        boolean flag = false;
        if ("3".equals(this.getStatus()) || "4".equals(this.getStatus()) || "6".equals(this.getStatus())) {
            flag = true;
        }
        return flag;
    }
}